setlocal
set COMPORT=\\.\\com4
set HEXFILE=ScopeClock4.V3.clock.03-31-2021.hex
set EEPFILE=scopeclock.eep
.\avrdude -D -C.\avrdude.conf -pm328p -cstk500v1 -P%COMPORT% -b19200 -Uflash:w:%HEXFILE%:i
rem
rem The following line will program the eeprom of the Atmega328p.
rem Due to limitation of avrdude, this will always be a complete
rem reprogramming of all the eeprom memory, including the ScopeClock Configuration data.
rem Version 3.6 of the Dutchtronix AVR Oscilloscope Clock does not use any
rem initialized eeprom memory.
rem
rem .\avrdude -C.\avrdude.conf -pm328p -cstk500v1 -P%COMPORT% -b19200 -Ueeprom:w:%EEPFILE%:i
